%define _use_internal_dependency_generator 0

Summary: A MySQL interface for perl
Name: perl-DBD-MySQL
Version: 2.1021
Release: 4.EL3
License: distributable
Group: Applications/Databases
Source: DBD-mysql-%{version}.tar.gz
Source2: filter-requires-dbdmysql.sh
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: perl, perl-DBI
BuildRequires: mysql-devel, mysql, perl, perl-DBI, zlib-devel

%description 
An implementation of DBI for MySQL for Perl.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
# %%define __find_requires /usr/lib/rpm/find-requires.perl
%define __find_requires %{SOURCE2}

%prep
%setup -q -n DBD-mysql-%{version} 

%build
WITH_SSL=''
if egrep -q '^#[\ \	]*define[\ \	]+HAVE_OPENSSL[\ \	]+1' /usr/include/mysql/my_config*; then
   WITH_SSL='--ssl';
fi;
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor ${WITH_SSL}
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" | \
        grep -v perllocal.pod | \
        grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)


%changelog
* Fri Mar 17 2006 Jason Vas Dias <jvdias@redhat.com>
- Fix bug 112904: 
  Only turn ssl on if /usr/include/mysql/my_config* contains '#define HAVE_OPENSSL 1'
  (currently, SSL is NOT enabled in RHEL-3 mysql-3.23.58-16.RHEL3.1). 
  If DBD::mysql enables ssl when mysql does not, then DBD::mysql will contain
  unresolved symbol references under PERL_DL_NONLAZY=1.

* Wed Jan  1 2003 Chip Turner <cturner@redhat.com>
- turn ssl on and allow Makefile.PL to yse mysql_config to find proper link flags
- update to 2.1021

* Sat Dec 14 2002 Chip Turner <cturner@redhat.com>
- don't use internal rpm dep generator

* Wed Nov 20 2002 Chip Turner <cturner@redhat.com>
- rebuild

* Wed Aug  7 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.1017-3
- Rebuild

* Tue Jun 25 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.1017-2
- Rebuild, to fix #66304

* Wed Jun  5 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.1017-1
- New version - no longer integrated into msql-mysql modules

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Feb 22 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.2219-6
- Rebuild

* Fri Feb  8 2002 Chip Turner <cturner@minbar.devel.redhat.com>
- filter out "soft" dependencies: perl(Data::ShowTable)

* Thu Feb  7 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.2219-4
- Rebuild

* Tue Jan 22 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.2219-3
- Rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan  8 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.2219-1
- 1.2219

* Fri Jul 20 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add zlib-devel to buildrequires (#49536)

* Sun Jul  1 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add perl and perl-DBI to BuildRequires

* Wed May 30 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Change Group to Applications/Databases

* Tue May  1 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 1.2216
- Add doc files
- Minor cleanups

* Thu Nov 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- First cut
